Skip to Content
API ReferenceProduct Variants

Create a booking hold

Temporarily reserve a booking slot before checkout.

Create a temporary hold for a booking slot before checkout. Send the hold ID with the checkout item so SellApp can confirm the reserved appointment after payment.

POST
/v2/products/{product}/variants/{variant}/booking/holds

Authorization

headerAuthorizationBearer <API Key>

Provide your SellApp API key as a bearer token.

Path Parameters

product*integer

The product path parameter.

variant*integer

The variant path parameter.

Header Parameters

X-STORE?string

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

Request Body

application/json
  1. body
slot_start_at*string
Formatdate-time
quantity?integer
Range1 <= value
customer_key?string|null
meta?|null

Response Body

Booking hold created.

application/json
  1. response
data*
Example Request
curl -X POST 'https://sell.app/api/v2/products/0/variants/0/booking/holds' \  -H 'X-STORE: launch-lab' \  -H 'Content-Type: application/json' \  -d '{  "slot_start_at": "2026-06-22T14:00:00+00:00",  "quantity": 1,  "customer_key": "visitor-session-123",  "meta": {    "customer_timezone": "America/New_York"  }}'
{  "data": {    "id": "018f61d6-1c46-7b42-8a94-522bc6b5c53f",    "slot_start_at": "2026-06-22T14:00:00+00:00",    "slot_end_at": "2026-06-22T14:30:00+00:00",    "quantity": 1,    "expires_at": "2026-06-22T13:45:00+00:00"  }}